<?
require_once '../core/system.php';
echo only_reg();
$header = 'Мой питомец';
require_once '../core/head.php';
$pets_param = $user[silapets] + $user[vinoslpets] + $user[healthpets];

$level_pets = file(H."data/exp_pet.txt");

$exp_pets = trim($level_pets[$user[level_pets]+1]);

?>

<div class='block_zero player'><img src='<?=$user[pets]?>' height='80' style='margin-right:5px;float:left;'/>
<img src='/images/icon/pit.png' alt='пет'/> <b><?=$user[petsname]?></b><br>
<img src='/images/icon/vit.png' alt='vit'/> Здоровье: <b><?=$user[healthpets]?></b> <br>
<img src='/images/icon/str.png' alt='str'/> Сила: <b><?=$user[silapets]?></b> <br>
<img src='/images/icon/mana.png' alt='mana'/> Выносливость: <b><?=$user[vinoslpets]?></b><br>
<img src='/images/icon/2hit.png' alt=''/> + к статам: <b><?=$pets_param?></b><br><br>
Уровень:<b><?=$user[level_pets]?></b><br>
<div class='stat_bar' style='margin:2px 0px 2px'>
<div class='progress' style='width:".round(100/($exp_pets/($user[exp_pets]+1)))."%'></div></div>
<center><a class='btn' href='?upgrade'><span class='end'><span class='label'>Улучшить</span></span></a></center>
<center><a class='btn' href='?petschg'><span class='end'><span class='label'>Взять другого</span></a></span>
<a class='btn' href='pokup.php'><span class='end'><span class='label'>Купить нового</span></span></a></center>
</div>

<?php

if(isset($_POST['pets'])){
	$id_carr = trim(mysql_real_escape_string($_POST['id_pets']));
	$mycarsr = mysql_fetch_array(mysql_query("SELECT * FROM mypets WHERE id_user='".$user['id']."' AND id_pets='".$id_carr."'"));
		if(mysql_result(mysql_query("SELECT COUNT(*) FROM `mypets` WHERE `id_pets` = ".$id_carr.""),0)==0){
			false;
		}else{
			$rescarr = mysql_query("UPDATE user SET `pets`='".$mycarsr['pets']."',`petsname`='".$mycarsr['petsname']."',`silapets`='".$mycarsr['silapets']."',`vinoslpets`='".$mycarsr['vinoslpets']."',`healthpets`='".$mycarsr['healthpets']."' WHERE id='".$user['id']."'") or die(mysql_error());
		if($rescarr == true){
			echo "<meta http-equiv='Refresh' content='0; URL=index.php?'>";
			exit();
		}
	}
}
?>

<?php
if(isset($_GET['petschg'])){
	$sql23 = mysql_query("SELECT * FROM mypets WHERE id_user='".$user['id']."'") or die(mysql_error());
	$mypets2 = mysql_fetch_array($sql23);
	$counavto = mysql_num_rows($sql23);
if($counavto == 0){
echo "<div class='menu'><center><font color='#000'><b>Нет питомцев.</b></font></center></div>";
}
if($counavto == 1){
echo "<div class='menu'><center><font color='#000'><b>У вас 1 питомец.</b></font></center></div>";
}else{
echo "<div class=line></div><div class='title'>Мои питомцы</div>";
do{
	echo "<div class='block_zero player'><img src='".$mypets2['pets']."' height='80' style='margin-right:5px;float:left;'/>
<img src='/images/icon/pit.png' alt='пет'/> <b>".$mypets2['petsname']."</b><br>
<img src='/images/icon/vit.png' alt='vit'/> Здоровье: <b>".$mypets2[healthpets]."</b> <br>
<img src='/images/icon/str.png' alt='str'/> Сила: <b>".$mypets2[silapets]."</b> <br>
<img src='/images/icon/mana.png' alt='mana'/> Выносливость: <b>".$mypets2[vinoslpets]."</b><br>
<form action='' method='post'>
		<input type='hidden' class='btn' name='id_pets' value='".$mypets2['id_pets']."'>
                <span class='btn'><span class='end'><input class='label' type='submit' name='pets' value='Взять питомца'/></form></div>";
}while($mypets2 = mysql_fetch_array($sql23));
}

}
if(isset($_GET['upgrade'])){

	$sql23 = mysql_query("SELECT * FROM mypets WHERE id_user='".$user['id']."' and `pets` = '$user[pets]' and `petsname` = '$user[petsname]'") or die(mysql_error());
	$mypets2 = mysql_fetch_array($sql23);

# ФУНКЦИИ #

// Сила: Получем + силы за каждый уровень: $l = Уровень; $result = Колличество силы
function up_1($l){
     if($l == 1){
	     $result = 6;
	 } elseif($l == 2) {
	     $result = 8;
	 } elseif($l == 3) {
	     $result = 4;
	 } elseif($l == 4) {
	     $result = 9;
	 } elseif($l == 5) {
	     $result = 7;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 9;
	 } elseif($l == 8) {
	     $result = 6;
	 } elseif($l == 9) {
	     $result = 12;
	 } elseif($l == 10) {
	     $result = 7;
	 }
	 return $result;
}
// Цена за Сила:  $l = Уровень; $result = Колличество бабоса/ до $l = 5 идет серебр а потом золото
function p_1($l){
     if($l == 1){
	     $result = 5600;
	 } elseif($l == 2) {
	     $result = 7200;
	 } elseif($l == 3) {
	     $result = 7600;
	 } elseif($l == 4) {
	     $result = 8400;
	 } elseif($l == 5) {
	     $result = 8700;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 10;
	 } elseif($l == 8) {
	     $result = 14;
	 } elseif($l == 9) {
	     $result = 25;
	 } elseif($l == 10) {
	     $result = 18;
	 }
	 return $result;
}
// Цена за Выносливость :  $l = Уровень; $result = Колличество бабоса/ до $l = 5 идет серебр а потом золото
function p_2($l){
     if($l == 1){
	     $result = 5600;
	 } elseif($l == 2) {
	     $result = 7200;
	 } elseif($l == 3) {
	     $result = 7600;
	 } elseif($l == 4) {
	     $result = 8400;
	 } elseif($l == 5) {
	     $result = 8700;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 10;
	 } elseif($l == 8) {
	     $result = 14;
	 } elseif($l == 9) {
	     $result = 25;
	 } elseif($l == 10) {
	     $result = 18;
	 }
	 return $result;
}
// Выносливость : Получем + ед Выносливости  за каждый уровень: $l = Уровень; $result = Колличество Выносливость 
function up_2($l){
     if($l == 1){
	     $result = 5;
	 } elseif($l == 2) {
	     $result = 10;
	 } elseif($l == 3) {
	     $result = 15;
	 } elseif($l == 4) {
	     $result = 20;
	 } elseif($l == 5) {
	     $result = 25;
	 } elseif($l == 6) {
	     $result = 30;
	 } elseif($l == 7) {
	     $result = 35;
	 } elseif($l == 8) {
	     $result = 40;
	 } elseif($l == 9) {
	     $result = 45;
	 } elseif($l == 10) {
	     $result = 50;
	 }
	 return $result;
}
// Цена за Поршни:  $l = Уровень; $result = Колличество бабоса/ до $l = 5 идет серебр а потом золото
function p_3($l){
     if($l == 1){
	     $result = 5600;
	 } elseif($l == 2) {
	     $result = 7200;
	 } elseif($l == 3) {
	     $result = 7600;
	 } elseif($l == 4) {
	     $result = 8400;
	 } elseif($l == 5) {
	     $result = 8700;
	 } elseif($l == 6) {
	     $result = 5;
	 } elseif($l == 7) {
	     $result = 10;
	 } elseif($l == 8) {
	     $result = 14;
	 } elseif($l == 9) {
	     $result = 25;
	 } elseif($l == 10) {
	     $result = 18;
	 }
	 return $result;
}
// Поршни: Получем + л.с за каждый уровень: $l = Уровень; $result = Колличество л.с
function up_3($l){
     if($l == 1){
	     $result = 6;
	 } elseif($l == 2) {
	     $result = 12;
	 } elseif($l == 3) {
	     $result = 18;
	 } elseif($l == 4) {
	     $result = 24;
	 } elseif($l == 5) {
	     $result = 30;
	 } elseif($l == 6) {
	     $result = 36;
	 } elseif($l == 7) {
	     $result = 42;
	 } elseif($l == 8) {
	     $result = 48;
	 } elseif($l == 9) {
	     $result = 54;
	 } elseif($l == 10) {
	     $result = 60;
	 }
	 return $result;
}

# Обработка #
// Улучшаем  силу
if(isset($_GET['t1'])){
     if($mypets2['tun_1_lev'] == 10){
	     echo "<div class='menu'><center><font color='#fff'><b>Улучшен полностью</b></font></center></div>";
	 } else {
	     if($mypets2['tun_1_lev'] >= 6){
		     if($user['gold']  < p_1($mypets2['tun_1_lev'])){
			     echo "<div class='menu'><center><font color='#fff'><b>Недостаточно средств</b></font></center></div>";
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($user['silver']  < p_1($mypets2['tun_1_lev'])){
			     echo "<div class='menu'><center><font color='#fff'><b>Недостаточно средств</b></font></center></div>";
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `user` set `gold` = `gold` - '".p_1($mypets2['tun_1_lev'])."' where `id` = '$user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `user` set `silver` = `silver` - '".p_1($mypets2['tun_1_lev'])."' where `id` = '$user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
			     mysql_query("update `user` set `silapets` = `silapets` + '".up_1($mypets2['tun_1_lev'])."' where `id` = '$user[id]'");
				 mysql_query("update `mypets` set `silapets` = `silapets` + '".up_1($mypets2['tun_1_lev'])."', `tun_1_lev` = `tun_1_lev` + '1' where `id_pets` = '$mypets2[id_pets]' and  `id_user` = '$user[id]'");
				 header("location: ?upgrade");
			}
	 }
}
// Улучшаем  Выносливость 
if(isset($_GET['t2'])){
     if($mypets2['tun_2_lev'] == 10){
	     echo "<div class='menu'><center><font color='#fff'><b>Прокачано на масимум</b></font></center></div>";
	 } else {
	     if($mypets2['tun_2_lev'] >= 6){
		     if($user['gold']  < p_2($mypets2['tun_2_lev'])){
			     echo "<div class='menu'><center><font color='#fff'><b>Недостаточно средств</b></font></center></div>";
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($user['silver']  < p_2($mypets2['tun_2_lev'])){
			     echo "<div class='menu'><center><font color='#fff'><b>Недостаточно средств</b></font></center></div>";
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `user` set `gold` = `gold` - '".p_2($mypets2['tun_2_lev'])."' where `id` = '$user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `user` set `silver` = `silver` - '".p_2($mypets2['tun_2_lev'])."' where `id` = '$user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
			     mysql_query("update `user` set `vinoslpets` = `vinoslpets` + '".up_2($mypets2['tun_2_lev'])."' where `id` = '$user[id]'");
				 mysql_query("update `mypets` set `vinoslpets` = `vinoslpets` + '".up_2($mypets2['tun_2_lev'])."', `tun_2_lev` = `tun_2_lev` + '1' where `id_pets` = '$mypets2[id_pets]' and `id_user` = '$user[id]'");
				 header("location: ?upgrade");
			}
	 }
}
// Учулаем поршни
if(isset($_GET['t3'])){
     if($mypets2['tun_3_lev'] == 10){
	     echo "<div class='menu'><center><font color='#fff'><b>Прокачано на масимум</b></font></center></div>";
	 } else {
	     if($mypets2['tun_3_lev'] >= 6){
		     if($user['gold']  < p_3($mypets2['tun_3_lev'])){
			     echo "<div class='menu'><center><font color='#fff'><b>Недостаточно средств</b></font></center></div>";
				 $b = 0;
			 } else {
			     $b = 1;
			 }
		 } else {
		     if($user['silver']  < p_3($mypets2['tun_3_lev'])){
			     echo "<div class='menu'><center><font color='#fff'><b>Недостаточно средств</b></font></center></div>";
				 $b = 3;
			 } else {
			     $b = 4;
			 }
		 }
		 
		 // Покупка и упргейд
		     // Снимаем бабос
		   if($b == 1){
		         mysql_query("update `user` set `gold` = `gold` - '".p_3($mypets2['tun_3_lev'])."' where `id` = '$user[id]'");
			} elseif($b == 4) {
			     mysql_query("update `user` set `silver` = `silver` - '".p_3($mypets2['tun_3_lev'])."' where `id` = '$user[id]'");
			}
			     // добавляем лс
			if($b == 1 or $b == 4){
			     mysql_query("update `user` set `healthpets` = `healthpets` + '".up_3($mypets2['tun_3_lev'])."' where `id` = '$user[id]'");
				 mysql_query("update `mypets` set `healthpets` = `healthpets` + '".up_3($mypets2['tun_3_lev'])."', `tun_3_lev` = `tun_3_lev` + '1' where `id_pets` = '$mypets2[id_pets]' and `id_user` = '$user[id]'");
				 header("location: ?upgrade");
			}
	 }
}
echo "
	<div class=line></div>
		<center>Улучшение питомца</center>

	<div class='menu'>
	
		<img src='/images/icon/strength.png' alt='str'/>
		
		 
		
		 <td style='float: right;'>
		 <b>Сила</b><p>
		 + ".up_1($mypets2['tun_1_lev'])." ед.<br/>
		 - ".p_1($mypets2['tun_1_lev'])." <img src='/img/money".($mypets2['tun_1_lev'] >= 6 ? 2: NULL).".png' alt=''/>  $mypets2[tun_1_lev] ур. 
		
	
		<center><a class='btn' href='?upgrade&t1'><span class='end'><span class='label'>Улучшить </span></span></a></center>
	</div>	<div class=line></div>";
	
	echo " 
	<div class='menu'>
	
	     
		 <img src='/images/icon/heal.png' alt='vit'/>
		 
		 
		 <td style='float: right;'>
		<b>Здоровье</b><p>
		 + ".up_3($mypets2['tun_3_lev'])." ед.<br/>
		 - ".p_3($mypets2['tun_3_lev'])." <img src='/img/money".($mypets2['tun_3_lev'] >= 6 ? 2: NULL).".png' alt=''/><br/> $mypets2[tun_3_lev] ур.
		 
	
		<center><a class='btn' href='?upgrade&t3'><span class='end'><span class='label'>Улучшить </span></span></a></center>
	</div><div class=line></div>";
	
echo "
	<div class='menu'>
	
	     
		 <img src='/images/icon/damage.png' alt='mana'/>
		
		
		 <td style='float: right;'>
		 <b>Выносливость</b><p>
		 + ".up_2($mypets2['tun_2_lev'])." ед.<br/>
		 - ".p_2($mypets2['tun_2_lev'])." <img src='/img/money".($mypets2['tun_2_lev'] >= 6 ? 2: NULL).".png' alt=''/><br/> $mypets2[tun_2_lev] ур
		
		<center><a class='btn' href='?upgrade&t2'><span class='end'><span class='label'>Улучшить </span></span></a></center>
	</div>";	
	
?>






<?
}
echo "</div>";

include '../core/foot.php';

?>